package com.zcloud.mapper.datasource.paper;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：阶段考试试卷表
 * 作者：luoxiaobao
 * 时间：2021-07-04
 * 官网：www.zcloudchina.com
 */
public interface StageexampaperMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表（课程为主体的列表信息）
	 * @param page
	 * @throws Exception
	 */
	List<PageData> listCurriculumPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteAll(PageData pd);

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd);

	/**删除(根据课程ID删除试题数据)
	 * @param pd
	 * @throws Exception
	 */
    void deleteByCurriculumIds(PageData pd);

	/**通过课程ID获取数据
	 * @param pd
	 * @throws Exception
	 */
    PageData findByCurriculum(PageData pd);

	/**
	 * 考试开考或者考试人员已考试，试卷不能再变动
	 * @param pd
	 */
	void updateExamState(PageData pd);

	/**列表（考试结果列表）
	 * @param page
	 * @throws Exception
	 */
	List<PageData> listSummarylistPage(Page page);

    List<PageData> findByTaskId(PageData pd);
}

